# Poco::Data::ODBC

# class EnvironmentHandle

Library: Data/ODBC
Package: ODBC
Header: Poco/Data/ODBC/EnvironmentHandle.h

## Description

ODBC environment handle class

## Member Summary

Member Functions: handle, operator const SQLHENV &

## Constructors

### EnvironmentHandle

EnvironmentHandle();

Creates the EnvironmentHandle.

## Destructor

### ~EnvironmentHandle

~EnvironmentHandle();

Destroys the EnvironmentHandle.

## Member Functions

### handle

const SQLHENV & handle() const;

Returns const reference to handle.

### operator const SQLHENV &

operator const SQLHENV & () const;

Const conversion operator into reference to native type.